
/* ---------------------------MAPS------------------ */


.mapcontainer{position: relative;}


#mapTabDiv { 
  position: absolute; 
  border: 1px solid #000;
  z-index: 55555555;
  width: 100%;
  bottom: 0;
  margin: 0;
  padding: 0;
  background-color: #38383833;
  backdrop-filter: blur(5px);
  height: 250px !important;
  max-height: 300px !important;
  overflow: auto !important;
  display: none;
  /* overflow: hidden; */
}

#mapTabDiv th { 
  background: #303030d8;
  color: var(--whity);
}
#mapTabDiv tr ,#mapTabDiv td{ 
  background: #fcfcfc93;
  border: 1px solid #000 !important;
}
#mapTabDiv .columns,
#mapTabDiv .columns-right, 
#mapTabDiv .btn-group{
  margin: 1px !important;
}
#mapTabDiv .dropdown-menu,
#mapTabDiv .dropdown-menu-right{
  max-height: 150px !important;
  overflow-y: auto;
}
#mapTabDiv .search-input{
  max-width: 100px !important;
  margin-right: 5px !important;
  outline: none !important;
}
#mapTabDiv.active{display: block};




  .mapbtner{
    display: block;
    border: 2px solid #838383b2;
    background-color: #fff;
    font-weight: bold;
    border-radius: 3px;
    padding: 4px 0;
    font-size: 16px;
    width: 34px !important;
    height: 33px !important;
    min-width: 34px !important;
    min-height: 33px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.mapTabToggler.active{
  border-radius: 3px;
  background-color: #444444;
  border: 1px solid #f0f0f0;
  color: white;
}




/* ------------------------------------ */
.popContainer{
  border-radius: 5px;
  position: absolute;
  right: -200%;
  top: 2px;
  height: 99%;
  max-height: 95%;
  overflow-y: auto;
  min-width: 350px;
  z-index: 99999;
  transition : all 0.5s ease;
  padding: 2px;
  border: 1px solid #fcfcfc;
  box-shadow: 1px 1px 15px #4242429d;
  background: #ffffffde;
  backdrop-filter: blur(28px);
}

.popContent-div{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  width: 100%;
}

.popHeader{
  height:28px;
  text-transform: uppercase;
  background-color: #1b1b1bbe;
  display: flex;
  align-items: center;
  justify-content: space-between;
  backdrop-filter: blur(25px);
  color: white;
  font-weight: bold;
  cursor:pointer;
  padding: 5px 0px;
}

.popHeader .popReducer{
  font-size: 20px;
  padding: 2px;
  background-color: red;
}
.popHeader .miniMapper{
  font-size: 20px;
  padding-right: 8px;
}
.popContent{
  overflow-y: auto;
  height: 99%;
  box-shadow: 1px 1px 5px rgb(119, 118, 118);
  border: 1px solid var(--sccolor);
}

.popContent::-webkit-scrollbar{
  width: 0px;
}

.poptab th, .poptab td,.poptab tr{
  font-family: cursive;
  color: #000000 !important;
  padding: 2px 3px !important;
  /* border: 1px solid rgb(112, 112, 112); */
  max-width: 250px;
  overflow-x: auto;
  font-size: 14px !important;
}
 .poptab td{
  color: #313131 !important;
  font-style: italic;
  color: #0c1cf5;
}

.poptab{
  margin-bottom: 1px !important;
}

.photoManer{
  border: 1px solid #a0a0a0;   
  box-shadow: 1px 1px 8px grey;
  padding: 4px;
}

.thumbnail-container {
  position: relative;
  width: 98%;
  height: 180px;
  margin: 0px auto;
  margin-top: 5px;
  margin-bottom: 10px;
  border: 1px solid #000;
  overflow: hidden;
  cursor: pointer;
  border-radius: 2px;
  transition: transform 0.3s;
  box-shadow: 1px 1px 8px grey;
  z-index: 888;
  display: flex;
  align-items: center;
  justify-content: center;
  object-fit: cover;
}


.thumbnail-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.zoom-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: rgb(255, 255, 255);
  text-shadow: 1px 1px 1px black;
  font-size: 30px;
  opacity: 0;
  transition: opacity 0.3s;
  pointer-events: none;
}

.thumbnail-container:hover .zoom-icon {
  opacity: 1;
}

.leaflet-top, .leaflet-bottom {
  position: absolute;
  z-index: 999 !important;
  pointer-events: none;
}

.popContentImg{
  z-index: 8888888888;
  position:fixed;
  width: 100vw;
  height: 96vh;
  background-color: #00000079;
  backdrop-filter: blur(2px);
  display: none;
  align-items: center;
  justify-content: center;
}

#imageModalPop {
  z-index: 8888888888;
  display: flex;
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 98%;
  background-color: #ececec1c;
  justify-content: center;
  align-items: center;
  backdrop-filter: blur(50px);
  overflow: auto;
}

#imageModalPop img {
  max-width: 100%;
  max-height: 100%;
  border-radius: 10px;
  border: 1px solid #ffffff;
}

#imageModalPop .close-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 40px;
  width:40px;
  height: 40px;;
  cursor: pointer;
  border-radius: 2px;
  color: rgb(255, 255, 255);
  background-color: #f50202;
}
.collapsmap.active .content {
  display: block;
}

.collapsmap h3 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: 1px solid #c4c4c4;
  text-align: center;
  padding: 2px;
  padding-right: 20%;
  font-size: 17px;
  background-color: #222222b4;
  cursor: pointer;
  color: #ffffff;
  font-weight: bold;
  box-shadow: 1px 1px 4px grey;
  position: relative;
}
.collapsmap h3:hover{
  background-color: var(--bludy);
  transition: all 0.2s;
}
.collapsmap h3.actived{
  background-color: var(--bludy);
  transition: all 0.2s;
}

.collapsmap h3 .galIcon{
  position: absolute;
  right: 8px;

}
.collapsmap h3.actived .galIcon {
  transform: rotate(180deg);
  transition: all 0.3s;
}
.collapsmap h3 i{
  font-size: 20px;
}

.collapsmap .content {
  margin-top: 10px;
  display: none;
  overflow: hidden;
}

.leaflet-editing-icon{
  border-radius: 50% !important;
  -webkit-border-radius: 50% !important;
  -moz-border-radius: 50% !important;
  -ms-border-radius: 50% !important;
  -o-border-radius: 50% !important;
}
  




.user-popup .leaflet-popup-content-wrapper,.user-popup .leaflet-popup-content{
    margin: 0;
    background-color: #ffffff00;
  }
  .user-popup .leaflet-popup-close-button span{
    background-color: red;
    color: white; 
    margin-right: -6px;
  }
  
  .user-popup {
    width: 240px;
    font-family: Arial, sans-serif;
    background: rgba(36, 36, 36, 0.11); 
    backdrop-filter: blur(12px);
    border-radius: 8px;
    margin: 0px !important;
    border: 1px solid #ffffff;
  }
  
  .user-popup .user-popup-header {
    display: flex;
    border-radius: 8px;
    justify-content: space-between;
    min-height: 50px;
    background: #00000023;
    color: #fff;
  
  }
  
  .user-popup-header .user-info {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 3px 0 0 3px;
  
  }
  
  .user-popup-header  .user-namer{
    display: flex;
    align-items: center;
    min-width: 130px;
    border-bottom: #d1d1d1 1px solid;
  }
  
   .user-popup-header .user-info .user-name {
    font-size: 16px;
    font-weight: bold;
  }
  
  .dispo-circle {
    width: 14px;
    height: 14px;
    border-radius: 50%;
    border: 1px solid #ffffff;
    z-index: 4444;
    margin-right: 8px;
  }
  .dispo-circle.dispo{ background-color: #04a004}
  
  .dispo-circle.indispo{background-color: red}
  
  .user-popup-header .user-info .user-details {
    font-size: 12px;
    color: #dddddd;
    font-style: italic;
    padding: 2px;
  }
  
  
  .user-popup .user-popup-content {
    padding: 10px;
    background-color: #ffffff0e;
  }
  
  .user-popup .progress-container {
    display: flex;
    align-items: center;
    margin: 10px 0;
  }
  
  .user-popup .progress-label {
    width: 80px;
    font-size: 12px;
    font-weight: bold;
    color: #ffffff;
    text-shadow: 1px 1px 1px rgb(0, 0, 0);
  }
  
  .user-popup .progress-bar {
    flex: 1;
    height: 15px;
    background: #e0e0e0;
    border-radius: 5px;
    position: relative;
    box-shadow: 0 2px 4px rgba(179, 178, 178, 0.349);
  }
  
  .user-popup .progress-bar span {
    display: block;
    height: 100%;
    border-radius: 5px;
    transition: width 1.5s ease forwards;
  }
  
  .user-popup .progress-bar.pending span {background: #868686}
  
  .user-popup .progress-bar.completed span {background: #019909}
  
  .user-popup .progress-bar.progress span {background: #0c1cf5}
  
  .user-popup .progress-bar.total span {background: #252525}
  
  .user-popup .progress-value {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    right: -0px;
    top: 50%;
    transform: translateY(-50%);
    width: 25px;
    height: 25px;
    font-size: 12px;
    font-weight: bold;
    color: #fff;
  
    background: rgba(0, 0, 0, 0.7);
    border-radius: 50%;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  }
  
  